Subject: Re: bug#65713: compilation-next-error says: Moved past last error, even when none

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Sep 2023 12:07:36 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 3 Sep 2023 02:00:50 -0700
> Cc: [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> OK, there was no error, so instead of "Moved past last error" it should
> >> say "Didn't find any errors" when asked.
> >
> > FWIW, I don't see any need for such a feature.  "Moved past the last
> > error" is correct even if there are no errors, and complicating the
> > code for such hair-splitting is not justified, IMO.
> 
> The problem I see is that we're displaying a general message, when a
> more specific one could have been displayed instead.  I'm not against
> fixing this minor blemish, if it can be done in a clean way.

Would it be enough to say something like

  Moved past last error, if any

?